Set device wipe status for user
POST
/service/wipe/{username}
const url = 'https://example.com/api/v1/service/wipe/example';const options = { method: 'POST', headers: { cookie: 'grommunioAuthJwt=<grommunioAuthJwt>', 'Content-Type': 'application/json' }, body: '{"password":"example","remoteIP":"example","status":0,"time":1}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/v1/service/wipe/example \ --header 'Content-Type: application/json' \ --cookie grommunioAuthJwt=<grommunioAuthJwt> \ --data '{ "password": "example", "remoteIP": "example", "status": 0, "time": 1 }'Authorizations
Section titled “Authorizations”- JWTCookie
- None
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”username
required
string
E-mail address of the user
Header Parameters
Section titled “Header Parameters”X-Csrf-Token
string
CSRF Token
Query Parameters
Section titled “Query Parameters”devices
Array<string>
Restrict request to these device IDs
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
password
Password of the logged in user (with login) or the device owner (without login). Required when initiating wipe.
string
remoteIP
Source IP of the status update (default is the request origin).
string
status
required
integer
time
UNIX timestamp of the status update (default is time of the request)
integer
Responses
Section titled “Responses”States changed
Validation of input parameters failed
Media typeapplication/json
object
message
string
errors
List of errors encountered during validation
Array<string>
Examplegenerated
{ "message": "example", "errors": [ "example" ]}The requested resource could not be found
Media typeapplication/json
object
message
string
Examplegenerated
{ "message": "example"}An error occurred while processing the request
Media typeapplication/json
object
message
String representation of the exception
string
Examplegenerated
{ "message": "example"}The database query failed
Media typeapplication/json
object
message
Description of the error
string
Examplegenerated
{ "message": "example"}